%global momorel 1

Summary: perl-BSD-Resource
Name: perl-BSD-Resource
Version: 1.2901
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/BSD/BSD-Resource-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/BSD/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: perl >= 5.8.5

%description
The BSD::Resource module

%prep
rm -rf %{buildroot}

%setup -q -n BSD-Resource-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make
# make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/BSD/Resource/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README 
%{_mandir}/man3/*
%{perl_vendorarch}/BSD
%{perl_vendorarch}/auto/BSD

%changelog
* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2901-1m)
- update to 1.2901

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.28-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.28-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.28-2m)
- use vendor

* Thu Jun  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.28-1m)
- update to 1.28

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.25-1m)
- update to 1.25

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-1m)
- version up to 1.24
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.23-6m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.23-5m)
- remove Epoch from BuildPrereq

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.23-1m)
- update to 1.23
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.22-3m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.22-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Tue Jun 17 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.22-1m)
- update to 1.22

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.21-1m)

* Wed Nov 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.20-1m)

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-1m)
- rebuild against perl-5.8.0

* Sun Sep 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.17-1m)

* Mon Sep 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.16-1m)

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.15-3m)
- fix %files

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.15-2m)
- remove BuildPreReq: gcc2.95.3

* Thu Jul 25 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.15-1m)
- version up 1.15

* Mon Mar  4 2002 Shingo Akagaki <dora@kondara.org>
- (1.14-2k)
- create
